## libept-trinity 0.5.26debian14

=== CMakeLists.txt ===
include( FindPkgConfig )
include( FindDoxygen )

set( EPT_VERSION "0.5.25" )
set( APT_INCLUDES "/usr/include/" CACHE STRING "apt include path" )
set( APT_LINKDIRS "/usr/lib/" CACHE STRING "apt library path" )
set( OPT_FLAGS "-O0 -g" CACHE STRING "optimization level" )

option( INTERNAL_TAGCOLL "use internal copy of tagcoll" )
option( INTERNAL_WIBBLE "use internal copy of wibble" )
option( RPM "using apt-rpm" )

if( INTERNAL_WIBBLE )
  add_subdirectory( wibble )
  set( WIBBLE_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
  set( WIBBLE_LIBRARY_DIRS ${wibble_BINARY_DIR} )
  set( WIBBLE_LIBRARIES "wibble" )
  set( WIBBLE_TEST_CMAKE "${wibble_SOURCE_DIR}/test.cmake" )
else( INTERNAL_WIBBLE )
  pkg_check_modules( WIBBLE REQUIRED "libwibble >= 0.1.22" )
  find_program( WIBBLE_TEST_GENRUNNER wibble-test-genrunner )
#  set( WIBBLE_TEST_CMAKE "${WIBBLE_PREFIX}/share/wibble/test.cmake" )
  set( WIBBLE_TEST_CMAKE "${CMAKE_SOURCE_DIR}/wibble_test.cmake" )
endif( INTERNAL_WIBBLE )

if( INTERNAL_TAGCOLL )
  set( TAGCOLL_FOUND ON )
  set( TAGCOLL_INCLUDE_DIRS ${CMAKE_SOURCE_DIR} )
  set( TAGCOLL_LIBRARY_DIRS ${tagcoll_BINARY_DIR} )
  set( TAGCOLL_LIBRARIES "tagcoll2" )
  add_subdirectory( tagcoll )
else( INTERNAL_TAGCOLL )
  pkg_check_modules( TAGCOLL REQUIRED "libtagcoll2 >= 2.0" )
endif( INTERNAL_TAGCOLL )

add_subdirectory( ept )
add_subdirectory( tools )
add_subdirectory( doc )

=== ept/CMakeLists.txt ===
project( ept )
include( ${WIBBLE_TEST_CMAKE} )

file( GLOB coresrc core/*.cpp core/apt/*.cpp )
file( GLOB src *.cpp debtags/*.cc debtags/maint/*.cc
  popcon/*.cc popcon/maint/*.cc apt/*.cc textsearch/*.cc
  textsearch/maint/*.cc )

file( GLOB h_top *.h )
file( GLOB h_core core/*.h )
file( GLOB h_core_apt core/apt/*.h )
file( GLOB h_apt apt/*.h )
file( GLOB h_debtags debtags/*.h debtags/*.tcc )
file( GLOB h_debtags_maint debtags/maint/*.h debtags/maint/*.tcc )
file( GLOB h_popcon popcon/*.h )
file( GLOB h_popcon_maint popcon/maint/*.h )
file( GLOB h_textsearch textsearch/*.h )
file( GLOB h_textsearch_maint textsearch/maint/*.h )

file( GLOB coretesth core/*.test.h core/apt/*.test.h )
file( GLOB debtagstesth debtags/*.test.h debtags/maint/*.test.h )
file( GLOB popcontesth popcon/*.test.h )
file( GLOB apttesth apt/*.test.h )
file( GLOB textsearchtesth textsearch/*.test.h )
set( testh ${coretesth} ${debtagstesth} ${popcontesth}
           ${apttesth} ${textsearchtesth} )

include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} 
                     ${TAGCOLL_INCLUDE_DIRS} ${WIBBLE_INCLUDE_DIRS} )
link_libraries( ${WIBBLE_LIBRARIES} ${TAGCOLL_LIBRARIES} apt-pkg xapian )
add_definitions( -fexceptions -fPIC -fvisibility=default )

add_library( ept-core STATIC ${coresrc} )

link_libraries( ept-core )
add_library( ept SHARED ${src} )
set_target_properties( ept PROPERTIES VERSION ${EPT_VERSION} SOVERSION 0 )

set( TEST_ENV_DIR ${ept_BINARY_DIR}/test-env/ )

configure_file( ${ept_SOURCE_DIR}/config.h.cmake-in
  ${ept_BINARY_DIR}/config.h )

set( prefix "${CMAKE_INSTALL_PREFIX}" )
set( exec_prefix "${prefix}/bin" )
set( libdir "${prefix}/lib" )
set( includedir "${prefix}/include" )
configure_file( ${ept_SOURCE_DIR}/libept.pc.in
  ${ept_BINARY_DIR}/libept.pc @ONLY )

# regression testing
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/../lib )
link_libraries( ept pthread )
wibble_add_test( ept-test ${testh} )

set( datastamp ${CMAKE_CURRENT_BINARY_DIR}/data-stamp )
set( datadir ${CMAKE_CURRENT_SOURCE_DIR}/test-data )
set( listfile wherever_debian_._Packages )

wibble_check_target( ept-test ${datastamp} )

execute_process( COMMAND dpkg --print-architecture OUTPUT_VARIABLE ARCH )
string( REPLACE "\n" "" ARCH "${ARCH}" )

add_custom_command(
  OUTPUT ${datastamp}
  COMMAND mkdir -p test-env/etc test-env/state/lists/partial
		           test-env/cache test-env/debtags
			   test-env/cache/archives/partial test-env/desktop
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/packagelist > test-env/state/lists/${listfile}
  COMMAND cp -a ${datadir}/etc/sources.list test-env/etc/
  COMMAND sed -e s,i386,${ARCH}, < ${datadir}/dpkg-status > test-env/dpkg-status
  COMMAND cp -a ${datadir}/desktop/*.desktop test-env/desktop/
  COMMAND cp ${datadir}/debtags/package-tags test-env/debtags/test.tag
  COMMAND cp ${datadir}/debtags/vocabulary test-env/debtags/test.voc
  COMMAND mkdir -p test-env/debtags/empty
  COMMAND mkdir -p test-env/debtags/user
  COMMAND mkdir -p test-env/xapian/
  COMMAND mkdir -p test-env/popcon/
  COMMAND mkdir -p test-env/popcon/empty
  COMMAND cp -a ${datadir}/popcon/all-popcon-results.txt.gz test-env/popcon/
  COMMAND cp -a ${datadir}/popcon/popularity-contest test-env/popcon/
  COMMAND touch data-stamp )

install( TARGETS ept ept-core
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib )

install( FILES ${ept_BINARY_DIR}/libept.pc DESTINATION lib/pkgconfig )
install( FILES libept.m4 DESTINATION share/aclocal )

install( FILES ${h_top} DESTINATION include/ept )
install( FILES ${h_core} DESTINATION include/ept/core )
install( FILES ${h_core_apt} DESTINATION include/ept/core/apt )
install( FILES ${h_apt} DESTINATION include/ept/apt )
install( FILES ${h_debtags} DESTINATION include/ept/debtags )
install( FILES ${h_debtags_maint} DESTINATION include/ept/debtags/maint )
install( FILES ${h_popcon} DESTINATION include/ept/popcon )
install( FILES ${h_popcon_maint} DESTINATION include/ept/popcon/maint )
install( FILES ${h_textsearch} DESTINATION include/ept/textsearch )
install( FILES ${h_textsearch_maint} DESTINATION include/ept/textsearch/maint )

=== debian/changelog ===
libept-trinity (0.5.26debian14) wheezy; urgency=low

  * GCC 4.7 fixes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Dec 2012 13:46:17 +0100

libept-trinity (0.5.26debian8) squeeze; urgency=low

  * Uploaded this older version for temporary use to allow more time to fix libapt-front in the future

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 17 August 2010 01:26:00 +0600

libept (0.5.26ubuntu3) karmic; urgency=low

  * No change rebuild to fix misbuilt binaries on armel.

 -- Loïc Minier <loic.minier@ubuntu.com>  Wed, 21 Oct 2009 14:46:53 +0200

libept (0.5.26ubuntu2) karmic; urgency=low

  * rebuild against lastest libapt
  * update test count (we have Enhances now, see Debian #539331)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Sep 2009 22:37:26 +0200

libept (0.5.26ubuntu1) karmic; urgency=low

  * ept/debtags/vocabulary.cc: Add a missing const to fix FTBFS.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 19 Sep 2009 16:56:34 +0200

libept (0.5.26build1) jaunty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 09 Feb 2009 16:22:36 +0100

libept (0.5.26) unstable; urgency=low

  * Disable Xapian quality cutoff to make the results more deterministic
    and easier to understand (clients are now expected to trim their
    result list somehow).
  * Try to match the whole search string as a package name prefix,
    improving the result sets.

 -- Petr Rockai <mornfall@debian.org>  Wed, 15 Oct 2008 20:24:21 +0200

libept (0.5.25) unstable; urgency=low

  * Improvements to core::xapian robustness plus a few bugfixes there,
  * add core::package::ActionList::latest() to get at the topmost action.

 -- Petr Rockai <mornfall@debian.org>  Sun, 17 Aug 2008 12:10:49 +0200

libept (0.5.24) experimental; urgency=low

  * Rework core::xapian for both improved API and possibilities,
  * add some invalidate() methods to keep sources from using expired data,
  * implement package::Source::get< package::AnyVersion >(),
  * don't interfere with apt-get's autoremove marking,
  * a few relatively minor bugfixes.

 -- Petr Rockai <mornfall@debian.org>  Tue, 05 Aug 2008 19:55:50 +0200

libept (0.5.23) experimental; urgency=low

  * Added core::xapian::Source::update() to refresh xapian index
    (calls out to update-apt-xapian-index),
  * optimize core::desktop performance,
  * fix an important performance issue in core::apt::package's revertStates(),
  * fix many compiler warnings.

 -- Petr Rockai <mornfall@debian.org>  Thu, 31 Jul 2008 13:30:26 +0200

libept (0.5.22) unstable; urgency=high

  * Add missing build-dependency on g++-4.2 on ARM.

 -- Petr Rockai <mornfall@debian.org>  Sat, 26 Jul 2008 12:35:14 +0200

libept (0.5.21) unstable; urgency=high

  * Compile with g++-4.2 on ARM.  Closes: #487408.
  * Fixed apt::Apt package iteration.  Closes: #491412.
  * Updated standards-version (no changes required)
  * Created ufficial repository in collab-maint, and updated Vcs headers.

 -- Enrico Zini <enrico@debian.org>  Tue, 22 Jul 2008 18:15:40 +0100

libept (0.5.20) unstable; urgency=low

  * Really fix the failure this time. Missed a sort on one of the tests.
  * Build-depend on libwibble-dev >= 0.1.19.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 23:18:05 +0200

libept (0.5.19) unstable; urgency=low

  * Fix a semi-random testsuite failure due to an operator< in
    desktop::Entry not defining a partial order.

 -- Petr Rockai <mornfall@debian.org>  Tue, 17 Jun 2008 16:25:12 +0200

libept (0.5.18) unstable; urgency=low

  [ Enrico Zini ]
  * Detect when the apt cache changes even after package removal.
  * Fix a bug in build system that caused FTBFS with cmake 2.6.
    Closes: bug#482227.

  [ Petr Rockai ]
  * Added package::Source::upgradableList(),
  * add API bits for recognizing held packages,
  * slight refactorings of the ept::core API,
  * parser for .desktop files,
  * a desktop::Source for reading in directories of .desktop files
    (app-install-data style),
  * fix a grave bug in AptException (it wasn't deriving std::exception...).

 -- Petr Rockai <mornfall@debian.org>  Sat, 14 Jun 2008 12:49:08 +0200

libept (0.5.17) unstable; urgency=low

  * Updated shlibs file.
  * Build paths in a smart way.  Closes: bug#472999.
  * Fixed problem with new GCC.  Closes: bug#472821.

 -- Enrico Zini <enrico@debian.org>  Fri, 28 Mar 2008 01:29:11 +0800

libept (0.5.16) unstable; urgency=high

  * Build-depend on new wibble
  * Install documentation.  Closes: #471744.
  * Urgency set to high as it is part of fixing #472476.

 -- Enrico Zini <enrico@debian.org>  Tue, 25 Mar 2008 14:54:51 +0800

libept (0.5.15) unstable; urgency=low

  [ Enrico Zini ]
  * Compiles with gcc 4.3.  Closes: #455334.
    Thanks Matthias Klose for the patch.
  * Builds with broken dash.  Closes: #459086.
    Thanks Daniel Hahler for the patch.
  * ept-cache depends on apt-xapian-index >= 0.5.  Closes: #457128.
  * ept-cache show works on multiple packages.  Closes: #462920.

  [ Petr Rockai ]
  * Enhancements to ept::core API, in support of Adept 3.0~alpha4.
  - Handle exceptions coming from _system-Lock().
  - AptException to slurp up _error into its context when being thrown.
  - Support for system upgrades in ActionList.
  - AptDatabase can be now told to use a custom OpProgress object.
  * Fix a bug in AptDatabase::openState() trying to use NULL pointer.

 -- Petr Rockai <mornfall@debian.org>  Mon, 10 Mar 2008 22:41:29 +0100

libept (0.5.14) unstable; urgency=low

  * Make the testsuite architecture-neutral, should fix build failures on
    all non-i386 arches.

 -- Petr Rockai <mornfall@debian.org>  Wed, 23 Jan 2008 12:18:44 +0100

libept (0.5.13) unstable; urgency=low

  * Merge my ept::core classes with Enrico's current libept iteration,
  * this makes the library capable of supporting future version of Adept,
  * use an internal copy of libwibble, with a new testing framework,
  * convert the testsuite to the new framework.
  


=== debian/control ===
Source: libept-trinity
Section: libdevel
Priority: optional
XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Petr Rockai <mornfall@debian.org>, Arnaud Fontaine <arnaud@andesi.org>
Build-Depends: cdbs, debhelper (>> 5), quilt, dh-buildinfo, doxygen, graphviz, libapt-pkg-dev (>= 0.7.23), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), pkg-config, libxapian-dev (>= 1.0.5), cmake, g++-4.2 [arm], kdelibs-trinity
Standards-Version: 3.8.3

Package: libept-trinity-dev
Section: libdevel
Architecture: any
Recommends: pkg-config
Depends: libept0-trinity (= ${binary:Version}), libwibble-dev (>= 0.1.21), libwibble-dev (<< 0.2), libtagcoll2-dev (>= 2.0.6), libtagcoll2-dev (<< 2.1), libapt-pkg-dev (>= 0.6.46.1), libxapian-dev (>= 1.0.5)
Conflicts: debtags (<< 0.7)
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the development library.

Package: libept0-trinity
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: High-level library for managing Debian package information
 The library defines a very minimal framework in which many sources of data
 about Debian packages can be implemented and queried together.
 .
 The library includes four data sources:
 .
  * APT: access the APT database
  * Debtags: access the Debtags tag information
  * Popcon: access Popcon package scores
  * The Xapian index built by apt-xapian-index
 .
 This is the shared library.

Package: ept-cache-trinity
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, apt-xapian-index (>= 0.5)
Recommends: debtags
Description: Commandline tool to search the package archive
 ept-cache-trinity is a simple commandline interface to the functions of libept.
 .
 It can currently search and display data from four sources:
 .
  * The APT database
  * The Debtags tag information
  * Popcon package scores
  * The Xapian index built by apt-xapian-index

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

#DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifeq ($(DEB_HOST_ARCH),arm)
# TODO workaround for g++ breakage on arm; debian bug #487406
export CC=gcc-4.2
export CXX=g++-4.2
else
# TODO workaround for cmake breakage; debian bug #459207
export CXX = /usr/bin/g++
export CC = /usr/bin/gcc
endif

# DEB_MAKE_CHECK_TARGET := check

DEB_DH_MAKESHLIBS_ARGS_libept0 = -V

# comment out CONFIGURE and uncomment CMAKE flags to use cmake
#DEB_CONFIGURE_EXTRA_FLAGS += --disable-shared --with-pic
#DEB_CMAKE_EXTRA_FLAGS += -DBUILD_TESTING=ON

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo

install/libept-trinity-dev::
	mkdir -p debian/tmp/opt/trinity/
	cp -Rp debian/tmp/usr/* debian/tmp/opt/trinity/
	rm -rf debian/tmp/usr/*

build/libept-trinity-dev::
	make -C ${DEB_BUILDDIR} doc

install/libept-trinity-dev::
	mkdir -p debian/tmp/opt/trinity/share/doc/libept-dev/
	cp -r ${DEB_BUILDDIR}/doc/html debian/tmp/opt/trinity/share/doc/libept-dev/
	cp ${DEB_BUILDDIR}/doc/libept.doxytags debian/tmp/opt/trinity/share/doc/libept-dev/
	gzip -9 debian/tmp/opt/trinity/share/doc/libept-dev/libept.doxytags

## libept-trinity 0.5.26%2B1

=== debian/changelog ===
libept-trinity (0.5.26+1-1ubuntu16.04.0+5) xenial; urgency=low

  * Change debhelper compatibility level to 9

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 07 Apr 2020 13:17:57 +0200

libept-trinity (0.5.26+1-1ubuntu17.04.0+3~a) zesty; urgency=low

  * Change debhelper compatibility level to 7

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Aug 2016 18:53:28 +0200

libept-trinity (0.5.26+1-1ubuntu16.10.0+2~a) yakkety; urgency=low

  [ Michele Calgaro ]
  * Fixed support for debtags in newer distros (Debian Jessie/Stretch)

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Jan 2016 14:24:34 +0100

libept-trinity (0.5.26+1-1debian9.0.0+1~a) stretch; urgency=low

  * Add cmake minimum required declaration

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 May 2015 22:04:02 +0200

libept-trinity (0.5.26+1-1ubuntu15.04.0+0) vivid; urgency=low

  * Update wibble 1.1 patch to support wibble 0.1.x
  * Fix missing stdio.h include

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 14 May 2015 18:28:38 +0200

libept-trinity (0.5.26+1-0debian8.0.0+1) jessie; urgency=low

  * Add support for wibble 1.1
    Thanks Michele Calgaro for the patch.

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 01 Dec 2013 20:21:22 +0100

libept-trinity (0.5.26+1-0debian8.0.0+0) jessie; urgency=low

  * Rebuild without dependency on tdelibs / kdelibs
  * Switch to quilt format

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Aug 2013 00:00:55 +0200

libept-trinity (0.5.26debian14) jessie; urgency=low

  * GCC 4.7 fixes

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Dec 2012 13:46:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,14 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 #DEB_CMAKE_EXTRA_FLAGS += -DOPT_FLAGS="" 
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+O_LD_PATH := $(LD_LIBRARY_PATH)
+export LD_LIBRARY_PATH = $(O_LD_PATH):/opt/trinity/lib
+
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
